*************************************
*-- Cathy Pountney
*-- Frontier Software Solutions, Inc.
*-- www.frontier2000.com
*************************************

*-- vfpcond.prg
*-- Customer Directory report
*-- Demonstrates how to conditionally change information in a report

* Initialize
CLEAR
LOCAL lcOrientation, lnCopies, lnLines, laExpr, ln, lcExpr
DIMENSION laExpr[1]
lcOrientation = 'P'
lnCopies = 1

* Prompt for information
@ 10,10 SAY '[P]ortrait or [L]andscape ' GET lcOrientation VALID lcOrientation $ 'LP'
@ 12,10 SAY 'Number of Copies (1-10)   ' GET lnCopies RANGE 1, 10
READ

* Put EXPR in an array and manipulate it
USE vfp_cond.frx
GOTO TOP
lnLines = ALINES(laExpr, expr)
FOR ln = 1 TO lnLines
  * Change the orientation
  IF LEFT(laExpr[ln], 12) = 'ORIENTATION='
    laExpr[ln] = LEFT(laExpr[ln],12) + IIF(lcOrientation = 'P', '0', '1')
  ENDIF
  * Change the number of copies
  IF LEFT(laExpr[ln], 6) = 'COPIES='
    laExpr[ln] = LEFT(laExpr[ln,6) + ALLTRIM(STR(lnCopies))
  ENDIF
ENDFOR

* Put the array back into the EXPR field
lcExpr = ''
FOR ln = 1 TO lnLines
  lcExpr = lcExpr + laExpr[ln] + CHR(13) + CHR(10)
ENDFOR
REPLACE expr WITH lcExpr, tag WITH '', tag2 WITH ''
USE

* Print the report
USE customer
REPORT FORM vfp_cond TO PRINTER NOCONSOLE
USE


